בעיות עם PHP5 – לא רק לנו

לפני כשבועיים תום העביר את בלוגלי לעבודה עם PHP5. למעט בעיה במספר ויד'גטים שנפתרה הערב, לא נתקלנו בבעיות כלשהן. מסתבר שבזמן האחרון עוברות יותר ויותר חברות אחסון לעבוד עם PHP5 דבר הגורם לבעיות.

Matt, האבא של וורדפרס, כתב על חברת האחסון Dreamhost אשר שדרגה את השרתים שלה ל- PHP5 וגרמה לבעיות גדולות ללקוחות שלה. הבעיות, כפי שהם כתבו, אילצו את החברה לחזור צעד אחורה ל- PHP4 (תודה חנן) – מסתבר שגם הצעד הזה לא עבר חלק. עכשיו החברה מתכננת שדרוג חדש בעוד כעשרה ימים "ומזהירה" את לקוחותיה אשר משתמשים בוורדפרס, MediaWiki, Drupal ו- Zencart לעדכן את ההתקנות שלהם.

נושא התאימות לאחר של שפות תיכנות הוא קריטי. לא נראה לי סביר שחברת אחסון תבצע מהלך כזה בהתראה כה קצרה. בוורדפרס, מעבר לתאימות קוד המקור של המערכת יש לבדוק ולעדכן את תבניות העיצוב וכמובן את כל התוספים. לעיתים מדובר בעבודה רבה ובהכרח לפנות למפתחים שונים של רכיבים שונים.

במידה ואתם לקוחות של Dreamhost זה הזמן לבדוק מה קורה עם האתר שלכם!

0 תגובות בנושא “בעיות עם PHP5 – לא רק לנו

  1. פינגבאק: אריק מתבטא » Blog Archive » חזרנו לחיים

כתיבת תגובה

האימייל לא יוצג באתר. שדות החובה מסומנים *

This site uses Akismet to reduce spam. Learn how your comment data is processed.